Index: SPECS/gettext.spec
===================================================================
--- SPECS.orig/gettext.spec
+++ SPECS/gettext.spec
@@ -1,3 +1,4 @@
+%define enable_java 1
 Summary: GNU libraries and utilities for producing multi-lingual messages.
 Name: gettext
 Version: 0.14.6
@@ -12,10 +13,12 @@ Prereq: /sbin/install-info
 %ifarch x86_64 ppc64 s390x
 BuildRequires: automake >= 1.8, autoconf >= 2.5
 %endif
-BuildRequires: libtool, bison, gcc-c++, gcc-java, libgcj
-BuildRequires: %{_bindir}/fastjar
+BuildRequires: libtool, bison, gcc-c++
+%if %{enable_java}
+BuildRequires: gcc-java, libgcj, %{_bindir}/fastjar
 # require zip and unzip for brp-java-repack-jars
 BuildRequires: zip, unzip
+%endif
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 
 %description
@@ -72,8 +75,10 @@ want to add gettext support for your pro
 #autoconf
 #popd
 
+%if %{enable_java}
 export JAVAC='gcj -C'
 export JAR='fastjar'
+%endif
 %configure --without-included-gettext --enable-nls \
 	--enable-shared --with-pic-=yes --disable-csharp
 make
@@ -109,7 +114,9 @@ install -m 644 %{SOURCE1} ${RPM_BUILD_RO
 for i in gettext-runtime/man/*.html; do
   rm ${RPM_BUILD_ROOT}%{_datadir}/doc/gettext/`basename $i`
 done
+%if %{enable_java}
 rm -r ${RPM_BUILD_ROOT}%{_datadir}/doc/gettext/javadoc*
+%endif
 
 rm -rf htmldoc examples
 mkdir htmldoc
@@ -194,7 +201,9 @@ fi
 %exclude %{_mandir}/man1/autopoint.1.gz
 #%config %{_libdir}/charset.alias
 %{_libdir}/%{name}
+%if %{enable_java}
 %exclude %{_libdir}/%{name}/gnu.gettext.*
+%endif
 
 %files devel
 %defattr(-,root,root)
@@ -209,7 +218,9 @@ fi
 %{_datadir}/%{name}/config.rpath
 %{_datadir}/%{name}/*.h
 %{_datadir}/%{name}/intl
+%if %{enable_java}
 %{_datadir}/%{name}/libintl.jar
+%endif
 %{_datadir}/%{name}/mkinstalldirs
 %{_datadir}/%{name}/po
 %{_datadir}/%{name}/msgunfmt.tcl
@@ -224,8 +235,10 @@ fi
 %{_mandir}/man1/gettextize.1.gz
 %{_mandir}/man1/autopoint.1.gz
 %{_mandir}/man3/*
+%if %{enable_java}
 %doc gettext-runtime/intl-java/javadoc*
 %{_libdir}/%{name}/gnu.gettext.*
+%endif
 
 
 %changelog
